Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.bioinf.apps.cinema.utils
Class CinemaInvoker

    java.lang.Object
      |
      +--uk.ac.man.bioinf.module.Module
            |
            +--uk.ac.man.bioinf.apps.cinema.utils.CinemaInvoker

public class CinemaInvoker
extends Module

CinemaInvoker.java Created: Tue Apr 25 20:24:30 2000

Version:
  $Id: CinemaInvoker.java,v 1.4 2001/04/11 17:04:42 lord Exp $
Author:
  Phillip Lord

Constructor Summary
`CinemaInvoker()`

Method Summary
`InvokerInternalQueue` | `getInvokerInternalQueue()`
`InvokerInternalQueue` | `getNewInvokerInternalQueue()`
`ModuleIdentifierList` | `getRequiredIdentifiers()` Returns the module identifiers for the required modules.
`String` | `getVersion()` Returns the version of this module.
`void` | `start()` The method called externally to initiate the modules function.

Methods inherited from class uk.ac.man.bioinf.module.Module
`addPropertyChangeListener, addPropertyChangeListener, destroy, finalize, firePropertyChange, firePropertyChange, firePropertyChange, getContext, getIdentifier, getRequiredModule, getRequiredModules, hasListeners, isDestroyed, isStarted, load, removePropertyChangeListener, removePropertyChangeListener, runStart, setContext`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CinemaInvoker

    public CinemaInvoker()

Method Detail

### start

    public void start()

  Description copied from class: `Module`
  The method called externally to initiate the modules function.

  Overrides:
    `start` in class `Module`

### getInvokerInternalQueue

    public InvokerInternalQueue getInvokerInternalQueue()

### getNewInvokerInternalQueue

    public InvokerInternalQueue getNewInvokerInternalQueue()

### getVersion

    public String getVersion()

  Description copied from class: `Module`
  Returns the version of this module.

  Specified by:
    `getVersion` in class `Module`
  Returns:
    the version

### getRequiredIdentifiers

    public ModuleIdentifierList getRequiredIdentifiers()

  Description copied from class: `Module`
  Returns the module identifiers for the required modules. This places a call on getRequiredModules, which is delegated to the module context. It may require over-riding inorder to improve the efficiency of the method.

  Overrides:
    `getRequiredIdentifiers` in class `Module`
  Returns:
    the required module identifiers

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD